Get all customer pricing profiles
get
/fscmRestApi/resources/11.13.18.05/customerPricingProfiles
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds customer pricing profiles based on the primary key.
Finder Variables- CustomerPricingProfileId; integer; Unique identifier of the customer pricing profile, used to retrieve the record.
- findByCustomerAndDates Finds flexfields based on customer and date range.
Finder Variables- bindCustomerPartyName; string; Customer party name, used to retrieve the record.
- bindEndDate; string; Effective end date of the record, used to retrieve the record.
- bindStartDate; string; Effective start date of the record, used to retrieve the record.
- PrimaryKey Finds customer pricing profiles based on the primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- CostToServe; string; Value representing the cost to serve.
- CostToServeCode; string; Abbreviation representing the cost-to-serve value.
- CreatedBy; string; User who created the record.
- CreationDate; string; Date and time when the record was created.
- CustomerPartyId; integer; Value that uniquely identifies the customer party.
- CustomerPartyNumber; string; Number of the customer party.
- CustomerPricingProfileId; integer; Value that uniquely identifies the customer pricing profile.
- CustomerRating; string; Value representing the customer rating attribute.
- CustomerRatingCode; string; Abbreviation representing the customer rating value.
- CustomerSize; string; Value representing the customer size.
- CustomerSizeCode; string; Abbreviation representing the customer size value.
- CustomerValue; string; Value representing the customer value.
- CustomerValueCode; string; Abbreviation representing the customer value.
- EndDate; string; Date when the record becomes inactive.
- LastUpdateDate; string; Date and time of the last update.
- LastUpdateLogin; string; Indicates the session sign-in associated with the user who last updated the row.
- LastUpdatedBy; string; User who last updated the record.
- RevenuePotential; string; Value representing the revenue potential.
- RevenuePotentialCode; string; Abbreviation representing the revenue potential value.
- StartDate; string; Date when the record becomes effective.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : customerPricingProfiles
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : customerPricingProfiles-item-response
Type:
Show Source
object-
CostToServe: string
Maximum Length:
255Value representing the cost to serve. -
CostToServeCode: string
Title:
Cost to ServeMaximum Length:30Abbreviation representing the cost-to-serve value. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the record. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the record was created. -
CustomerPartyId: integer
(int64)
Value that uniquely identifies the customer party.
-
CustomerPartyName: string
Read Only:
trueMaximum Length:255Name of the customer party. -
CustomerPartyNumber: string
Read Only:
trueMaximum Length:255Number of the customer party. -
CustomerPricingProfileId: integer
(int64)
Value that uniquely identifies the customer pricing profile.
-
CustomerRating: string
Maximum Length:
255Value representing the customer rating attribute. -
CustomerRatingCode: string
Title:
Customer RatingMaximum Length:30Abbreviation representing the customer rating value. -
CustomerSize: string
Maximum Length:
255Value representing the customer size. -
CustomerSizeCode: string
Title:
Customer SizeMaximum Length:30Abbreviation representing the customer size value. -
CustomerValue: string
Maximum Length:
255Value representing the customer value. -
CustomerValueCode: string
Title:
Customer ValueMaximum Length:30Abbreviation representing the customer value. -
DFF: array
DFF
-
EndDate: string
(date-time)
Title:
End DateDate when the record becomes inactive. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time of the last update. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the record. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Indicates the session sign-in associated with the user who last updated the row. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Name: string
Name of the customer pricing profile.
-
RevenuePotential: string
Maximum Length:
255Value representing the revenue potential. -
RevenuePotentialCode: string
Title:
Revenue PotentialMaximum Length:30Abbreviation representing the revenue potential value. -
StartDate: string
(date-time)
Title:
Start DateDate when the record becomes effective.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : customerPricingProfiles-DFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:150Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
CustomerPricingProfileId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
This example describes how to get all customer pricing profiles.
Example cURL Command
Use the following cURL command to submit a request on the REST resource:
curl -u username:password "https://servername/fscmRestApi/resources/version/customerPricingProfiles"
Example Response Body
The following example includes the contents of the response body
in JSON
format:
“items”:[{ "CustomerPricingProfileId": 300100084084432,
"CustomerPartyId": 1693872,
"CustomerPartyNumber": "1499861",
"CustomerPartyName": "WORLD AIRWAYS, INC",
"RevenuePotential": "High",
"RevenuePotentialCode": "ORA_HIGH",
"CostToServe": "High",
"CostToServeCode": "ORA_HIGH",
"CustomerRating": "High",
"CustomerRatingCode": "ORA_HIGH",
"CustomerSize": "Small",
"CustomerSizeCode": "ORA_SMALL",
"CustomerValue": "High",
"CustomerValueCode": "ORA_HIGH",
"StartDate": "2009-01-01T09:00:00+00:00",
"EndDate": null,
"LastUpdateDate": "2015-12-10T10:56:12.613+00:00",
"LastUpdateLogin": "267813E7309E0781E053A8D0F00A8047",
"LastUpdatedBy": "PRICING_MGR_OPERATIONS",
"CreationDate": "2015-12-10T10:54:13+00:00",
"CreatedBy": "PRICING_MGR_OPERATIONS",
"Name": null},{
. . .